## NAME

v.db.univar.py - Calculates univariate statistics on selected table column for a GRASS vector map.

## KEYWORDS

vector, statistics, attribute table

## SYNOPSIS

v.db.univar.py
v.db.univar.py --help
v.db.univar.py [-eg] map=name [layer=string] column=name [where=sql_query] [percentile=float[,float,...]] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-e
  Extended statistics (quartiles and 90th percentile)
-g
  Print stats in shell script style
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

map=name [required]
  Name of vector map
  Or data source for direct OGR access
layer=string
  Layer number or name
  Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
  Default: 1
column=name [required]
  Name of attribute column on which to calculate statistics (must be numeric)
where=sql_query
  WHERE conditions of SQL statement without 'where' keyword
  Example: income < 1000 and inhab >= 10000
percentile=float[,float,...]
  Percentile to calculate (requires extended statistics flag)
  Options: 0-100
  Default: 90

## DESCRIPTION

v.db.univar calculates basic univariate statistics for numeric attributes in a vector attribute table. It will calculate minimum, maximum, range, mean, standard deviation, variance, coefficient of variation, quartiles, median, and 90th percentile. It uses db.select to create list values for statistical calculations. NOTES A database connection must be defined for the selected vector layer.

## EXAMPLE

In this example, random points are sampled from the elevation map (North Carolina sample dataset) and univariate statistics performed:

    g.region raster=elevation -p
    v.random output=samples n=100
    v.db.addtable samples column="heights double precision"
    v.what.rast samples raster=elevation colum=heights
    v.db.select samples

    v.db.univar samples colum=heights

## SEE ALSO

db.univar, r.univar, v.univar, db.select, d.vect.thematic

## AUTHOR

Michael Barton, Arizona State University

and authors of r.univar.sh

Last changed: $Date: 2014-12-19 22:55:37 +0100 (pá, 19 12 2014) $

Main index | Vector index | Topics index | Keywords index | Full index

© 2003-2016 GRASS Development Team, GRASS GIS 7.0.3 Reference Manual